.appFilters {
	text-align: right;
	margin-bottom:10px;
}
/* Max Rows Box */
.maxRowsBox {
    display: inline-block;
}
.maxRowsBox .label {
	display:inline-block;
	vertical-align:middle;
}
.maxRowsBox a {
	color: #0277bc;
	display: inline-block;
	vertical-align:middle;
	padding: 0 5px;
	position: relative;
	margin-left: 5px;
}
.maxRowsBox a:hover {
	color: #01578a;
}
.maxRowsBox a.selected:before {
	content: "[";
	position: absolute;
	left: 0;
}
.maxRowsBox a.selected:after {
	content: "]";
	position: absolute;
	right: 0;
}

/* Grid Container Box */
.gridContainerBox .gridContainer {
	overflow:auto;
}

/*Paging Bar Box */
.pagingBarBox .gridPaging button {
  background-color: transparent;
  background: none;
  border-top-style: none;
  border-right-style: none;
  border-bottom-style: none;
  border-left-style: none;
  border-top-width: 0px;
  border-right-width: 0px;
  border-bottom-width: 0px;
  border-left-width: 0px;
  margin-top: 3px;
  margin-bottom: 3px;
  display: inline-block;
  vertical-align: middle;
  font-size: 20px;
  line-height: 20px;
  color: #888;
}
.pagingBarBox .gridPaging button.disabled {
  color: #CCC;
}
.pagingBarBox .gridPaging .pageRange {
  vertical-align: middle;
  display: inline-block;
  padding: 0;
  font-weight: 600;
}
.pagingBarBox .gridPaging a {
  color: inherit;
  text-shadow: 0 1px 2px rgba(0, 0, 0, 0.2);
  text-decoration: none;
  margin: 7px 4px;
  vertical-align: middle;
  display: inline-block;
}
.pagingBarBox .gridPaging a:hover {
  color: #000;
}

/* Grid Loading Overlay Box */
.gridLoadingOverlayBox {
  overflow: hidden;
}
.gridLoadingOverlayBox .gridLoadingOverlay {
  background: rgba(255, 255, 255, 0.7);
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 10;
  -webkit-transition: all 0.2s cubic-bezier(0.25, 0.46, 0.45, 0.94);
  transition: all 0.2s cubic-bezier(0.25, 0.46, 0.45, 0.94);
}
.gridLoadingOverlayBox .gridLoadingOverlayCnt {
  position: absolute;
  width: 60px;
  height: 60px;
  color: black;
  font-size: 50px;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  margin: auto;
  -webkit-transition: all 0.2s cubic-bezier(0.25, 0.46, 0.45, 0.94);
  transition: all 0.2s cubic-bezier(0.25, 0.46, 0.45, 0.94);
  z-index: 11;
}
.gridLoadingOverlayBox.hideOverlay .gridLoadingOverlay,
.gridLoadingOverlayBox.hideOverlay .gridLoadingOverlayCnt {
  display: none;
}



/* Popup Form */
.popupFormBody {
  overflow: hidden;
}
.popupFormBody .outerContainer {
  -webkit-filter: blur(5px);
          filter: blur(5px);
}

.popupFormBox .popupFormOverlay {
  background: rgba(0, 0, 0, 0.7);
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  display: none;
  z-index: 100;
  opacity: 0;
  -webkit-transition: all 0.2s cubic-bezier(0.25, 0.46, 0.45, 0.94);
  transition: all 0.2s cubic-bezier(0.25, 0.46, 0.45, 0.94);
}
.popupFormBox .popupFormOverlayBox {
  position: fixed;
  width: 500px;
  height: 200px;
  background: #fff;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  margin: auto;
  text-align: center;
  box-shadow: 0 0 5px 0 rgba(0, 0, 0, 0.5);
  -webkit-transition: all 0.2s cubic-bezier(0.25, 0.46, 0.45, 0.94);
  transition: all 0.2s cubic-bezier(0.25, 0.46, 0.45, 0.94);
  opacity: 0;
  -webkit-transform: translate(0, 200%);
          transform: translate(0, 200%);
  z-index: 101;
}
.popupFormBox.popupFormDisplay .popupFormOverlay {
  display: block;
}
.popupFormBox.popupFormDisplay.dspOverlay .popupFormOverlay {
  opacity: 1;
}
.popupFormBox.popupFormDisplay.popupFormAnimate .popupFormOverlayBox {
  opacity: 1;
  -webkit-transform: translate(0, 0);
          transform: translate(0, 0);
}
.popupFormBox .popupHeader {
  overflow: hidden;
}
.popupFormBox .popupContent {
  overflow: auto;
}
.popupFormBox .newPopupContent {
  padding: 40px;
}
.popupFormBox .newPopupContent.left {
  text-align: left;
}
.popupFormBox .formContainer {
  text-align: left;
  -webkit-column-gap: 40px;
     -moz-column-gap: 40px;
          column-gap: 40px;
}
.popupFormBox .formContainer:not(:last-child) {
  border-bottom: 1px solid #cdcdd2;
}
.popupFormBox .oneColumn .formContainer {
  -webkit-column-count: 1;
     -moz-column-count: 1;
          column-count: 1;
}
.popupFormBox .twoColumn .formContainer {
  -webkit-column-count: 2;
     -moz-column-count: 2;
          column-count: 2;
}
.popupFormBox .threeColumn .formContainer {
  -webkit-column-count: 3;
     -moz-column-count: 3;
          column-count: 3;
}
.popupFormBox .formContainer .detailRow {
  -webkit-column-break-inside: avoid;
     -moz-column-break-inside: avoid;
          break-inside: avoid-column;
}
.popupFormBox .formContainer .detailRow .detailField {
  padding: 5px;
  line-height: 35px;
}
.popupFormBox .formContainer .detailRow .detailField .label {
  width: 40%;
  display: inline-block;
  vertical-align: top;
  line-height: inherit;
  text-overflow: ellipsis;
  font-weight: 700;
  overflow: hidden;
  white-space: nowrap;
}
.popupFormBox .formContainer .detailRow .detailField .field {
  padding: 0;
  width: 60%;
  vertical-align: top;
  display: inline-block;
  line-height: inherit;
}
.popupFormBox .formContainer .detailRow .detailField .field .dijitTextBox {
  width: 100%;
  box-sizing: border-box;
}
.popupFormBox .formContainer .detailRow.split {
  display: -webkit-box;
  display: flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
          flex-direction: row;
  flex-wrap: nowrap;
  -webkit-box-pack: justify;
          justify-content: space-between;
  -webkit-box-align: stretch;
          align-items: stretch;
}
.popupFormBox .formContainer .detailRow.split .detailField {
  -webkit-box-flex: 1;
          flex: 1 1 0;
}
.popupFormBox .formContainer.full {
  -webkit-column-count: 1;
     -moz-column-count: 1;
          column-count: 1;
}
.popupFormBox .formContainer.full .detailField .label,
.popupFormBox .formContainer.full .detailField .field {
  display: block;
  width: 100%;
}
.popupFormBox .formContainer.topLabels .detailField .label,
.popupFormBox .formContainer.topLabels .detailField .field {
  display: block;
  width: 100%;
  line-height: normal;
}
.popupFormBox .buttonBar {
  text-align: right;
  border: none;
  margin: 0;
  padding: 5px;
  display:block;
  width:100%;
  box-sizing:border-box;
}
.popupFormBox .buttonBar > .right {
  float: none;
  display: inline-block;
  width: 50%;
  vertical-align: middle;
}
.popupFormBox .buttonBar > .left {
  text-align: left;
  float: none;
  display: inline-block;
  width: 50%;
  vertical-align: middle;
}
.popupFormBox.chartPopup .popupFormOverlayBox, .popupFormBox.exportPopup .popupFormOverlayBox {
  overflow: visible;
}
.popupFormBox.chartPopup .buttonBar, .popupFormBox.exportPopup .buttonBar {
  padding: 0;
  overflow: visible;
}
.popupFormBox.chartPopup .buttonBar a, .popupFormBox.exportPopup .buttonBar a {
  color: #ffffff;
  position: absolute;
  bottom: 100%;
  left: 100%;
  font-size: 2em;
  -webkit-transition: all 0.2s cubic-bezier(0.25, 0.46, 0.45, 0.94);
  transition: all 0.2s cubic-bezier(0.25, 0.46, 0.45, 0.94);
}
.popupFormBox.chartPopup.widthResized a, .popupFormBox.exportPopup.widthResized a {
  -webkit-transform: translateX(-25px);
          transform: translateX(-25px);
}
.popupFormBox.chartPopup.heightResized a, .popupFormBox.exportPopup.heightResized a {
  -webkit-transform: translateY(25px);
          transform: translateY(25px);
}
.popupFormBox.chartPopup.widthResized.heightResized a, .popupFormBox.exportPopup.widthResized.heightResized a {
  -webkit-transform: translate(-25px, 25px);
          transform: translate(-25px, 25px);
  color: #000000;
  z-index: 10;
}
.popupFormBox.chartPopup .popupHeader {
  display: none;
}
.popupFormBox.exportPopup .popupExportContent {
  overflow: hidden;
}
.popupFormBox.exportPopup .openButton {
  display: none;
  margin: 10px 0;
}
.popupFormBox .progressBar {
  margin: 10px auto;
}
.popupFormBox .row > .col {
  text-align: left;
}
.popupFormBox .step1,
.popupFormBox .step2,
.popupFormBox .step3,
.popupFormBox .step4 {
  display: none;
}
.popupFormBox.step1 .step1, .popupFormBox.step2 .step2, .popupFormBox.step3 .step3, .popupFormBox.step4 .step4 {
  display: block;
}



.alertStatusBox .alertStatusOverlay {
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 200;
  background: rgba(0, 0, 0, 0.7);
}

.alertStatusBox .alertStatusOverlay .alertStatusOverlayBox {
  position: fixed;
  max-width: 50%;
  height: 120px;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  margin: auto;
  text-align: center;
  box-shadow: 0 0 5px 0 rgba(0, 0, 0, 0.5);
  transition: all 0.2s cubic-bezier(0.25, 0.46, 0.45, 0.94);
  opacity: 0;
  filter: alpha(opacity=0);
  transform: translate(0, 200%);
  background: #f5f5f6;
  border: 1px solid #cdcdd2;
}

.alertStatusBox .alertStatusOverlay.anim .alertStatusOverlayBox {
  opacity: 1;
  filter: alpha(opacity=100);
  transform: translate(0, 0);
}

.alertStatusBox .message {
  font-size: 1.5em;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 100%;
}

.alertStatusBox .message ul {
  list-style: none;
  text-align: left;
}

.alertStatusBox .statusButtonBar {
  position: absolute;
  bottom: 5px;
  right: 5px;
}

.alertStatusBox .statusButtonBar a {
  display: inline-block;
  padding: 0 20px;
  line-height: 35px;
  border-radius: 4px;
  background: #0277bc;
  color: white;
}
.alertStatusBox .statusButtonBar a:hover {
  background: #01578a;
  color: white;
}
.appHeading {
  display: flex;
  flex-flow: row wrap-reverse;
  justify-content: space-between;
  align-items: center;
}
.appHeading .appTitle,
.appHeading .appButtons {
  display: inline-block;
  vertical-align: middle;
  flex: 1 0 auto;
}
.appHeading .appTitle {
  padding: 10px 0;
  font-size: 1.25em;
  flex: 2 0 0;
  font-size: 1.5em;
  color: #000;
  padding: 5px 10px 5px 0;
  margin: 0 0 6px;
  border-bottom: 1px solid #0277bc;
}
.appHeading .appButtons {
  text-align: right;
  flex: 1 0 0;
}
.appHeading .appButtons > a {
  margin: 0 0 0 10px;
}
.appHeading .appButtons i {
	font-size: 20px;
}
.appHeading .appButtons .sortButton {
  display: none;
}
.appHeading .appButtons .field {
  display: inline-block;
  vertical-align: middle;
  margin-left: 10px;
}
.appHeading .appButtons .field label {
  vertical-align: middle;
}
.appHeading .appButtons .toggleIcon {
  display: inline-block;
  vertical-align: middle;
  font-size: 1.5em;
}
.appHeading .appButtons .toggleIcon .on {
  display: none;
}
.appHeading .appButtons .toggleIcon .off {
  opacity: .2;
}
.appHeading .appButtons .toggleIcon input {
  display: none;
}
.appHeading .appButtons .toggleIcon input:checked + .toggleSwitch .on {
  display: inline-block;
}
.appHeading .appButtons .toggleIcon input:checked + .toggleSwitch .off {
  display: none;
}
.vaiComponent .vaiComponent .appHeading .appTitle {
  font-size: 1.2em;
  line-height: 36px;
  width: 60%;
}
.vaiComponent .vaiComponent .appHeading .appButtons {
  width: 40%;
}
.appHeading.fullTitle .appTitle {
  width: 100%;
}
.appFilters, .appGlobalFilters, .appMobileFilters {
  text-align: right;
}
.appFilters.left,
.appGlobalFilters.left,
.appMobileFilters.left {
  text-align: left;
}
.appFilters > .left, .appFilters > .middle, .appFilters > .right,
.appGlobalFilters > .left,
.appGlobalFilters > .middle,
.appGlobalFilters > .right,
.appMobileFilters > .left,
.appMobileFilters > .middle,
.appMobileFilters > .right {
  display: inline-block;
  vertical-align: middle;
}
.appFilters > .left,
.appGlobalFilters > .left,
.appMobileFilters > .left {
  text-align: left;
  width: 25%;
}
.appFilters > .middle,
.appGlobalFilters > .middle,
.appMobileFilters > .middle {
  text-align: center;
  width: 30%;
}
.appFilters > .right,
.appGlobalFilters > .right,
.appMobileFilters > .right {
  text-align: right;
  width: 45%;
}
.appFilters .filter,
.appGlobalFilters .filter,
.appMobileFilters .filter {
  display: inline-block;
  white-space: nowrap;
  margin: 5px;
}
.appFilters .filter .label,
.appGlobalFilters .filter .label,
.appMobileFilters .filter .label {
  display: inline-block;
  vertical-align: middle;
  margin-right: 4px;
  cursor: default;
}
.appFilters .filter .field,
.appGlobalFilters .filter .field,
.appMobileFilters .filter .field {
  display: inline-block;
  vertical-align: middle;
}
.appFilters .filter.shelfField,
.appGlobalFilters .filter.shelfField,
.appMobileFilters .filter.shelfField {
  position: relative;
}
.appFilters .filter.shelfField .label,
.appGlobalFilters .filter.shelfField .label,
.appMobileFilters .filter.shelfField .label {
  margin-right: 4px;
}
.appFilters .filter.shelfField .label:after,
.appGlobalFilters .filter.shelfField .label:after,
.appMobileFilters .filter.shelfField .label:after {
  content: ":";
}
.appFilters .filter.shelfField .field .dijitTextBox .dijitInputField,
.appGlobalFilters .filter.shelfField .field .dijitTextBox .dijitInputField,
.appMobileFilters .filter.shelfField .field .dijitTextBox .dijitInputField {
  padding-right: 15px;
}
.appFilters .filter.shelfField .clearFieldBtn,
.appGlobalFilters .filter.shelfField .clearFieldBtn,
.appMobileFilters .filter.shelfField .clearFieldBtn {
  position: absolute;
  top: 50%;
  right: 0;
  transform: translate(-50%, -50%);
}
.appFilters.flex,
.appGlobalFilters.flex,
.appMobileFilters.flex {
  display: flex;
  flex-flow: row wrap;
  justify-content: space-between;
  align-items: center;
}
.appFilters.flex .filter,
.appGlobalFilters.flex .filter,
.appMobileFilters.flex .filter {
  flex: 1 0 auto;
}
.appFilters.flex .f-box,
.appGlobalFilters.flex .f-box,
.appMobileFilters.flex .f-box {
  flex: 1 1 auto;
}
.appFilters .advancedFilterContainer,
.appGlobalFilters .advancedFilterContainer,
.appMobileFilters .advancedFilterContainer {
  transition: all 0.2s cubic-bezier(0.25, 0.46, 0.45, 0.94);
  overflow: hidden;
  height: 0;
}
.appFilters .advancedSearchLink,
.appGlobalFilters .advancedSearchLink,
.appMobileFilters .advancedSearchLink {
  display: inline-block;
  margin: 0px 10px 0 0;
  vertical-align: middle;
  transition: all 0.2s cubic-bezier(0.25, 0.46, 0.45, 0.94);
}
.appFilters .advancedSearchLink a,
.appGlobalFilters .advancedSearchLink a,
.appMobileFilters .advancedSearchLink a {
  margin: 5px;
  display: inline-block;
  transition: all 0.2s cubic-bezier(0.25, 0.46, 0.45, 0.94);
}
.appFilters .advancedSearchLink a i,
.appGlobalFilters .advancedSearchLink a i,
.appMobileFilters .advancedSearchLink a i {
  margin-left: 4px;
  transition: all 0.2s cubic-bezier(0.25, 0.46, 0.45, 0.94);
}
.appFilters .open .advancedSearchLink a i,
.appGlobalFilters .open .advancedSearchLink a i,
.appMobileFilters .open .advancedSearchLink a i {
  transform: rotate(90deg);
}
.appFilters .filterButtons,
.appGlobalFilters .filterButtons,
.appMobileFilters .filterButtons {
  margin: 0 10px 5px;
}
.filterLink {
  display: inline-block;
  vertical-align: middle;
  margin: 0 10px;
}
.appButtons .filterLink {
  margin: 0 0 0 10px;
}
.filterLink i {
  font-size: 1.625em;
  vertical-align: middle;
}
.appButtons .filterLink i {
  font-size: 1.25em;
}
.filterLink .filtered {
  margin-left: 5px;
  display: inline-block;
  vertical-align: middle;
}
.filterShelf {
  position: fixed;
  right: 0;
  bottom: 0;
  top: 0;
  width: 0;
  z-index: 999;
}
body.filterShelfOpen .filterShelf {
  box-shadow: -2px 0 5px 0 rgba(0, 0, 0, 0.3);
}
.filterShelf .filterHeading {
  position: relative;
}
.filterShelf .filterHeading .filterLink {
  position: absolute;
  right: 100%;
  display: none;
  font-size: 2em;
}
filterShelf .filterHeading .appTitle {
  font-size: 2em;
  padding: 8px;
}
.filterShelf.shelfOpen .filterHeading .filterLink {
  display: inline-block;
}
.filterShelf .filterOptions {
  display: inline-block;
  width: 300px;
  overflow: auto;
}
.filterShelf .filterOptions .detailRow,
.filterShelf .filterOptions .filter,
.filterShelf .filterOptions .filterButtons {
  margin: 10px;
}
.filterShelf .filterButtons {
  padding: 5px;
}
.toolTipSearchedFilters .label {
  font-weight: 700;
}
.s2kKpi {
  padding: 10px 10px 10px 0;
}
.s2kKpi .ag-theme-material .ag-cell,
.shortGridRows .ag-theme-material .ag-cell {
  line-height: 26px;
}
.s2kKpi .ag-theme-material .ag-header-cell-resize:after,
.shortGridRows .ag-theme-material .ag-header-cell-resize:after {
  margin-top: 5px;
}
.s2kKpi .ag-theme-material .ag-header-cell,
.s2kKpi .ag-theme-material .ag-header-group-cell,
.shortGridRows .ag-theme-material .ag-header-cell,
.shortGridRows .ag-theme-material .ag-header-group-cell {
  line-height: 35px;
}
.s2kKpi .ag-theme-material.appGrid,
.shortGridRows .ag-theme-material.appGrid {
  min-height: 85px;
}